%define upstream_name    Text-vFile-asData
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Parse vFile formatted files into data structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/Text-vFile-asData-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Chained)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
Text::vFile::asData - parse vFile formatted files into data structures

%prep
%setup -q -n Text-vFile-asData-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/Text/*
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-8.mga8
+ Revision: 1497766
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-7.mga7
+ Revision: 1272225
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-6.mga6
+ Revision: 1035178
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-5.mga6
+ Revision: 947768
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-4.mga5
+ Revision: 744029
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 686672
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 527408
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.80.0-1.mga4
+ Revision: 440016
- update to 0.08

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 374256
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 27180
- mageia rebuild
- imported package perl-Text-vFile-asData


* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2011.0
+ Revision: 573809
- update to 0.07

* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2011.0
+ Revision: 572238
- update to 0.06

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.50.0-1mdv2010.0
+ Revision: 406192
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.05-4mdv2009.0
+ Revision: 258623
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.05-3mdv2009.0
+ Revision: 246642
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.05-1mdv2008.1
+ Revision: 136362
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 0.05-1mdv2008.0
+ Revision: 29944
- Import perl-Text-vFile-asData



* Wed May 23 2007 Michael Scherer <misc@mandriva.org> 0.05-1mdv2008.0
- First Mandriva package
